package dao.impl;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import dao.UserDao;
import entity.UserTable;

public class UserDaoImpl extends HibernateDaoSupport implements UserDao {

	@Override
	public void delUser(UserTable user) {
		this.getSession().delete(user);
	}

	@Override
	public void updateUser(UserTable user) {
		this.getSession().saveOrUpdate(user);
	}

	@Override
	public UserTable getUser(UserTable user) {
		if (user.getUcode() != null) {
			return (UserTable) this.getSession()
					.createQuery("from UserTable where ucode=:ucode")
					.setProperties(user).uniqueResult();
		}
		return (UserTable) this
				.getSession()
				.createQuery("from UserTable where uname=:uname and upwd=:upwd")
				.setProperties(user).uniqueResult();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<UserTable> userList() {
		return this.getSession().createQuery("from UserTable").list();
	}

}
